> ## Documentation Index
> Fetch the complete documentation index at: https://laminar.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List datasets

> Lists project datasets, optionally filtered by dataset ID or name.



## OpenAPI

````yaml /openapi/openapi.yaml get /v1/datasets
openapi: 3.1.0
info:
  title: Laminar API
  version: 1.0.0
  description: Public HTTP API for ingesting and managing data in a Laminar project.
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://api.lmnr.ai
    description: Laminar Cloud
security:
  - projectApiKey: []
tags:
  - name: Ingestion
    description: Send telemetry data to Laminar.
  - name: Traces
    description: Update trace data after ingestion.
  - name: SQL
    description: Query project data with read-only SQL.
  - name: Projects
    description: Resolve project information.
  - name: Datasets
    description: Read datasets and add datapoints.
  - name: Evaluations
    description: Create evaluation runs and record their results.
  - name: Labeling queues
    description: Add items to labeling queues.
  - name: Signals
    description: Manage automated evaluations of project traces.
  - name: LLM profiles
    description: Configure workspace LLM credentials and models for self-hosted Signals.
paths:
  /v1/datasets:
    get:
      tags:
        - Datasets
      summary: List datasets
      description: Lists project datasets, optionally filtered by dataset ID or name.
      operationId: listDatasets
      parameters:
        - name: id
          in: query
          schema:
            $ref: '#/components/schemas/Uuid'
        - name: name
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Matching datasets.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Dataset'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Uuid:
      type: string
      format: uuid
    Dataset:
      type: object
      required:
        - id
        - name
        - projectId
        - createdAt
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
        name:
          type: string
        projectId:
          $ref: '#/components/schemas/Uuid'
        createdAt:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing or invalid API key.
  securitySchemes:
    projectApiKey:
      type: http
      scheme: bearer
      bearerFormat: Project API key
      description: A Laminar project API key.

````